<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}
if (isset($_POST['ht-edit'])) {
    
   $fn = "../.htaccess";
   chmod($fn, 0777);
   $file = fopen($fn, "w+");
   fwrite($file, $_POST['htaccess']);
   fclose($file);
   $htA = $_POST['htaccess'];
}

$htaccess = "../.htaccess";
if (!file_exists($htaccess)) {
   echo '<div class="callout callout-info">
          <strong>.htaccess</strong> Cannot find htaccess file, creating... - <strong>' . $htaccess . '</strong> .
         </div>';
   $content = "";
   //Hacky bitwise privilege escalation workaround for new htaccess files
   chmod($htaccess, 0655);
   chmod($htaccess, 0655);
   chmod($htaccess, 0777);
   $fp = fopen($htaccess, "w+");
   fwrite($fp, $content);
   fclose($fp);
   $htA = $content;
} else {
   $htA = file_get_contents($htaccess);
}
function clean_urlwpg($site)
{
    $site = strtolower($site);
    $site = str_replace(array(
        'http://',
        'https://',
        'www.'
    ), '', $site);
    return $site;
}
$site = clean_urlwpg(get_site_url());
$cur_dir = '/wp-content/plugins/wpimmunity/';

?>


<body class="layout-light top-menu">
   <main class="main-content">
      <div class="">
         <div class="crm mb-25">
            <div class="container-fluid">
            <div class="row">
               <div class="col-lg-12">
                  <div class="breadcrumb-main">
                     <h4 class="breadcrumb-title">.htaccess Editor</h4>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-lg-6">
                  <div class="card card-dark card-outline" style="max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           Editor
                        </h3s>
                     </div>
                     <div class="card-body p-0">
                        <div class="alert alert-danger mt-3" role="alert">
                           <div class="alert-content">
                              <p>ATTENTION!! Modifying your .htaccess file incorrectly could potentially make your website inaccessible.</p>
                           </div>
                        </div>
                        <form method="post">
                           <div class="row">
                              <div class="col-md-12">
                                 <textarea class="form-control" name="htaccess" rows="20" type="text">
                                    <?php
                                       echo $htA;
                                    ?>
                                 </textarea>
                              </div>
                           </div>
                           <input class="btn btn-flat btn-primary mt-3 mb-2" type="submit" name="ht-edit" value="Save">
                        </form>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="card card-dark card-outline" style="max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           About
                        </h3>
                     </div>
                     <div class="card-body p-0 mt-3">
                        <p class="text-normal">
                           Use this editor to make changes to your .htaccess file. Be sure not to change any of the default WordPress rules unless you know what you're doing. You can find more information about .htaccess files <a href="https://httpd.apache.org/docs/current/howto/htaccess.html" target="_blank">here</a>.
                        </p>
                     </div>
                  </div>
               </div>
            </div>
         </div>

      </div>
      <footer class="footer-wrapper pl-0" style="padding-left: 10px;">
         <div class="footer-wrapper__inside pt-1">
            <div class="container-fluid">
               <div class="row">
                  <div class="col-md-6">
                     <div class="footer-copyright">
                        <p><span>© 2023</span><a href="#">WP Immunity</a>
                        </p>
                     </div>
                  </div>
                  <div class="col-md-6">
                     <div class="footer-menu text-end">
                        <ul>
                           <li>
                              <a href="#">About</a>
                           </li>
                           <li>
                              <a href="#">Contact</a>
                           </li>
                        </ul>
                     </div>
                     <!-- ends: .Footer Menu -->
                  </div>
               </div>
            </div>
         </div>
      </footer>
   </main>
   <div id="overlayer">
      <div class="loader-overlay">
         <div class="dm-spin-dots spin-lg">
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
         </div>
      </div>
   </div>
   <div class="overlay-dark-sidebar"></div>
   <div class="customizer-overlay"></div>
   <!-- inject:js-->
   <script src="<?php echo $cur_dir; ?>js/plugins.min.js"></script>
   <script src="<?php echo $cur_dir; ?>js/script.min.js"></script>
   <!-- endinject-->
</body>
