<?php
if (!defined('ABSPATH')) {
    die('Page not found');
}
function clean_urlwpg($site)
{
    $site = strtolower($site);
    $site = str_replace(array(
        'http://',
        'https://',
        'www.'
    ), '', $site);
    return $site;
}

$site = clean_urlwpg(get_site_url());
$cur_dir = '/wp-content/plugins/wpimmunity/';
if (isset($_POST['save'])) {
   if (isset($_POST['mail_notifications'])) {
       $mail_notifications = $_POST['mail_notifications'];
   } else {
       $mail_notifications = $_POST['mail_notifications'];
   }
   
   update_option('wpim_mail_notifications', $mail_notifications);
}
if (isset($_POST['sql_protection'])) {
   update_option('wpim_sqli_protection', $_POST['sql_protection']);
   update_option('wpim_sqli_protection2', $_POST['sql_protection']);
   update_option('wpim_sqli_protection3', $_POST['sql_protection']);
   update_option('wpim_sqli_protection4', $_POST['sql_protection']);
   update_option('wpim_sqli_protection5', $_POST['sql_protection']);
   update_option('wpim_sqli_logging', $_POST['sql_protection']);
   update_option('wpim_sqli_mail', $_POST['sql_protection']);
}
if (isset($_POST['force_ssl'])) {
   update_option('wpim_sqli_protection6', $_POST['force_ssl']);
}
if (isset($_POST['sqli_autoban'])) {
   update_option('wpim_sqli_autoban', $_POST['sqli_autoban']);
}
if (isset($_POST['bot_protection'])) {
   update_option('wpim_badbot_protection', $_POST['bot_protection']);
   update_option('wpim_badbot_protection2', $_POST['bot_protection']);
   update_option('wpim_badbot_protection3', $_POST['bot_protection']);
   update_option('wpim_badbot_logging', $_POST['bot_protection']);
   update_option('wpim_badbot_mail', $_POST['bot_protection']);
   update_option('wpim_badbot_autoban', $_POST['bot_protection']);
}
if (isset($_POST['bot_autoban'])) {
   update_option('wpim_badbot_autoban', $_POST['bot_autoban']);
}
if (isset($_POST['spam_protection'])) {
   update_option('wpim_spam_protection', $_POST['spam_protection']);
   update_option('wpim_spam_logging', $_POST['spam_protection']);
   update_option('wpim_spam_mail', $_POST['spam_protection']);
}
if (isset($_POST['proxy_protection'])) {
   update_option('wpim_proxy_protection2', $_POST['proxy_protection']);
   update_option('wpim_proxy_logging', $_POST['proxy_protection']);
   update_option('wpim_proxy_mail', $_POST['proxy_protection']);
}
if (isset($_POST['apikey'])) {
   update_option('wpim_proxy_protection', 1);
   update_option('wpim_proxy_protection2', 1);
   update_option('wpim_proxy_api' . get_option('wpim_proxy_protection'), sanitize_text_field($_POST['apikey']));
   $files = glob(plugin_dir_path(__FILE__) . 'modules/cache/proxy/*'); // Get all cache file names
   foreach($files as $file){ // Iterate cache files
      if(is_file($file)) {
         unlink($file); // Delete cache file
      }
   }
} else {
   update_option('wpim_proxy_protection', 0);
   update_option('wpim_proxy_api' . get_option('wpim_proxy_protection'), '');
}
$apik = 'wpim_proxy_api' . get_option('wpim_proxy_protection');
$key  = get_option($apik);
if ($key == '') {
   $key = '66445F769909F9F059AEACB16F34D677';
}
?>


<body class="layout-light top-menu">
   
   <main class="main-content">
      <div class="">

         <div class="crm mb-25">
            <div class="container-fluid">
            <div class="row">
               <div class="col-lg-12">
                  <div class="breadcrumb-main">
                     <h4 class="text-capitalize breadcrumb-title">Settings</h4>
                  </div>
               </div>
            </div>
            <div class="row">
               <div class="col-lg-6">
                  <div class="card card-dark card-outline" style="max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           Active Protection
                        </h3>
                     </div>
                     <div class="card-body p-0">
                        <br>
                        <label class="control-label">Force SSL (HTTPS)</label>
                        <p>Forces the website to use a secure connection over HTTPS over the standard unsecure HTTP protocol.</p>
                        <div class="dm-button-list d-flex flex-wrap">
                           <form class="form-horizontal" method="post">
                              <?php
                                 if (get_option('wpim_sqli_protection6') == 1) {
                                    echo '<input type="hidden" name="force_ssl" value="0"><button class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Disable" type="submit">Enabled</button>';
                                 } else {
                                    echo '<input type="hidden" name="force_ssl" value="1"><button class="btn btn-danger btn-xs btn-squared btn-transparent-danger" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Enable" type="submit">Disabled</button>';
                                 }
                              ?>
                           </form>
                        </div>
                        <br>
                        <label class="control-label">SQL Injection Protection</label>
                        <p>SQL Injections are a technique where malicious users can inject SQL commands into an SQL statement, via web page input.</p>
                        <div class="dm-button-list d-flex flex-wrap">
                           <form class="form-horizontal" method="post">
                              <?php
                                 if (get_option('wpim_sqli_protection') == 1) {
                                    echo '<input type="hidden" name="sql_protection" value="0"><button ' . isActivated('') . ' class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Disable" type="submit">Enabled</button>';
                                 } else {
                                    echo '<input type="hidden" name="sql_protection" value="1"><button ' . isActivated('') . ' class="btn btn-danger btn-xs btn-squared btn-transparent-danger" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Enable" type="submit">Disabled</button>';
                                 }
                              ?>
                           </form>
                           <form class="form-horizontal" method="post">
                              <?php
                                 if (get_option('wpim_sqli_autoban') == 1) {
                                    echo '<input type="hidden" name="sqli_autoban" value="0"><button ' . isActivated('') . ' class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Disable" type="submit">Auto-Ban Enabled</button>';
                                 } else {
                                    echo '<input type="hidden" name="sqli_autoban" value="1"><button ' . isActivated('') . ' class="btn btn-danger btn-xs btn-squared btn-transparent-danger" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Enable" type="submit">Auto-Ban Disabled</button>';
                                 }
                              ?>
                           </form>
                        </div>
                        <br>
                        <label class="control-label">Toxic Bot Protection</label>
                        <p>Malformed or fake bots can slow down your server and even automatically search for attack vectors on your site.</p>
                        <div class="dm-button-list d-flex flex-wrap">
                           <form class="form-horizontal" method="post">
                              <?php
                                 if (get_option('wpim_badbot_protection') == 1) {
                                    echo '<input type="hidden" name="bot_protection" value="0"><button ' . isActivated('') . ' class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Disable" type="submit">Enabled</button>';
                                 } else {
                                    echo '<input type="hidden" name="bot_protection" value="1"><button ' . isActivated('') . ' class="btn btn-danger btn-xs btn-squared btn-transparent-danger" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Enable" type="submit">Disabled</button>';
                                 }
                              ?>
                           </form>
                           <form class="form-horizontal" method="post">
                              <?php
                                 // if (get_option('wpim_badbot_autoban') == 1) {
                                    // echo '<input type="hidden" name="bot_autoban" value="0"><button class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Disable" type="submit">Auto-Ban Enabled</button>';
                                 // } else {
                                    // echo '<input type="hidden" name="bot_autoban" value="1"><button class="btn btn-danger btn-xs btn-squared btn-transparent-danger" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Enable" type="submit">Auto-Ban Disabled</button>';
                                 // }
                              ?>
                           </form>
                        </div>
                        <br>
                        <label class="control-label">Spam Protection</label>
                        <p>Spam can be submitted to many websites to bog them down with messages and advertisements that detract from the quality of the content.</p>
                        <div class="dm-button-list d-flex flex-wrap">
                           <form class="form-horizontal" method="post">
                              <?php
                                 if (get_option('wpim_spam_protection') == 1) {
                                    echo '<input type="hidden" name="spam_protection" value="0"><button ' . isActivated('') . ' class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Disable" type="submit">Enabled</button>';
                                 } else {
                                    echo '<input type="hidden" name="spam_protection" value="1"><button ' . isActivated('') . ' class="btn btn-danger btn-xs btn-squared btn-transparent-danger" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Enable" type="submit">Disabled</button>';
                                 }
                              ?>
                           </form>
                        </div>
                        <br>
                        <label class="control-label">Proxy / VPN Protection</label>
                        <p>Proxy servers and VPNs are normally used to give the illusion that a user is going through a network/location when they are not, which can mask their true identity.</p>
                        <div class="dm-button-list d-flex flex-wrap">
                           <form class="form-horizontal form-group" method="post">
                              <?php
                                 if (get_option('wpim_proxy_protection2') == 1) {
                                    echo '<input type="hidden" name="proxy_protection" value="0"><button ' . isActivated('') . ' class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Disable" type="submit">Enabled</button>';
                                 } else {
                                    echo '<input type="hidden" name="proxy_protection" value="1"><button ' . isActivated('') . ' class="btn btn-danger btn-xs btn-squared btn-transparent-danger" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Enable" type="submit">Disabled</button>';
                                 }
                              ?>
                           </form>
                           <div>
                              <?php
                                 echo '<button ' . isActivated('') . ' class="btn btn-dark btn-xs btn-squared btn-transparent-dark" data-bs-toggle="modal" data-bs-target="#modal-info-confirmed" title="Click to Change">IP2location API Key: Hidden</button>';
                              ?>
                           </div>
                        </div>
                     </div>
                  </div>
               </div>
               <div class="col-lg-6">
                  <div class="card card-dark card-outline" style="max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           Prevention
                        </h3>
                     </div>
                     <div class="card-body p-0">
                        <br>
                        <label class="control-label">XSS Prevention</label>
                        <p>Cross-Site Scripting (XSS) can allow an attacker to exploit security flaws in the website that allow execution of malicious code using browser script techniques.</p>
                        <div class="dm-button-list d-flex flex-wrap">
                           <!-- <form class="form-horizontal" method="post"> -->
                              <?php
                                 echo '<input type="hidden" name="user_enumeration" value="0"><button class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Cannot be Disabled">Enabled</button>';
                              ?>
                           <!-- </form> -->
                        </div>
                        <br>
                        <label class="control-label">User Enumeration Prevention</label>
                        <p>Bad actors can scan / brute force your site for possible user account info by enumerating user names (ex. Admin1, admin2, timothy52, john15).</p>
                        <div class="dm-button-list d-flex flex-wrap">
                           <!-- <form class="form-horizontal" method="post"> -->
                              <?php
                                 echo '<input type="hidden" name="user_enumeration" value="0"><button class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Cannot be Disabled">Enabled</button>';
                              ?>
                           <!-- </form> -->
                        </div>
                        <br>
                        <label class="control-label">Disabled XML-RPC</label>
                        <p>The XML-RPC allows logging into your admin panel remotely. Disabling it completely prevents all remote attempts.</p>
                        <div class="dm-button-list d-flex flex-wrap">
                           <!-- <form class="form-horizontal" method="post"> -->
                              <?php
                                 echo '<input type="hidden" name="user_enumeration" value="0"><button class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Cannot be Disabled">Enabled</button>';
                              ?>
                           <!-- </form> -->
                        </div>
                        <br>
                        
                     </div>
                  </div>
                  <div class="card card-dark card-outline" style="max-width: -webkit-fill-available;">
                     <div class="card-header">
                        <h3 class="card-title">
                           Logging & Notifications
                        </h3>
                     </div>
                     <div class="card-body p-0">
                        <br>
                        <form class="form-horizontal" method="post">
                           <input type="hidden" name="save" value="true">
                           <label class="control-label">E-mail Notifications</label>
                           <p>Receive e-mails for any detected threat.</p>
                           <?php
                              if (get_option('wpim_mail_notifications') == 1) {
                                 echo '<input type="hidden" name="mail_notifications" value="0"><button class="btn btn-success btn-xs btn-squared btn-transparent-success" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Disable" type="submit">Enabled</button>';
                              } else {
                                 echo '<input type="hidden" name="mail_notifications" value="1"><button class="btn btn-danger btn-xs btn-squared btn-transparent-danger" data-bs-toggle="tooltip" data-bs-placement="top" title="Click to Enable" type="submit">Disabled</button>';
                              }
                           ?>
                        </form>
                     </div>
                  </div>
               </div>
            </div>
            <div class="row">

            </div>
         </div>

      </div>
      <footer class="footer-wrapper pl-0" style="padding-left: 10px;">
         <div class="footer-wrapper__inside pt-1">
            <div class="container-fluid">
               <div class="row">
                  <div class="col-md-6">
                     <div class="footer-copyright">
                        <p><span>© 2023</span><a href="#">WP Immunity</a>
                        </p>
                     </div>
                  </div>
                  <div class="col-md-6">
                     <div class="footer-menu text-end">
                        <ul>
                           <li>
                              <a href="#">About</a>
                           </li>
                           <li>
                              <a href="#">Contact</a>
                           </li>
                        </ul>
                     </div>
                     <!-- ends: .Footer Menu -->
                  </div>
               </div>
            </div>
         </div>
      </footer>
   </main>
   <div id="overlayer">
      <div class="loader-overlay">
         <div class="dm-spin-dots spin-lg">
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
            <span class="spin-dot badge-dot dot-primary"></span>
         </div>
      </div>
   </div>
   <div class="overlay-dark-sidebar"></div>
   <div class="customizer-overlay"></div>
   <div class="modal-info-confirmed modal fade show" id="modal-info-confirmed" tabindex="-1" role="dialog" aria-hidden="true">
      <div class="modal-dialog modal-sm modal-info" role="document">
         <form class="form-horizontal" method="post">
            <div class="modal-content">
               <div class="modal-body">
                  <div class="modal-info-body d-flex">
                     <div class="modal-info-icon warning">
                        <img src="<?php echo $cur_dir; ?>img/svg/alert-circle.svg" alt="alert-circle" class="svg">
                     </div>
                     <div class="modal-info-text">
                        <h6>Please enter your IP2location API Key:</h6>
                        <br>
                           <input type="text" name="apikey" class="form-control form-control-lg" placeholder="<?php //dont do this echo $key; ?>">
                     </div>

                  </div>
               </div>
               <div class="modal-footer">
                  <button type="button" class="btn btn-light btn-outlined btn-sm" data-bs-dismiss="modal">Cancel</button>
                  <button type="submit" class="btn btn-info btn-sm" data-bs-dismiss="modal">Save</button>
               </div>
            </div>
         </form>
      </div>
   </div>
   <!-- inject:js-->
   <script src="<?php echo $cur_dir; ?>js/plugins.min.js"></script>
   <script src="<?php echo $cur_dir; ?>js/script.min.js"></script>
   <!-- endinject-->
</body>
